| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Abstract.Bin

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Methods

Description
A container with just one child
Synopsis

data Bin
class ContainerClass o => BinClass o
castToBin :: GObjectClass obj => obj -> Bin
toBin :: BinClass o => o -> Bin
binGetChild :: BinClass self => self -> IO (Maybe Widget)

Detail
The `Bin` widget is a container with just one child. It is not very useful itself, but it is useful for deriving subclasses, since it provides common code needed for handling a single child widget. Many Gtk+ widgets are subclasses of `Bin`, including `Window`, `Button`, `Frame`, `HandleBox`, and `ScrolledWindow`.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----Window
     |                           +----Alignment
     |                           +----Frame
     |                           +----Button
     |                           +----Item
     |                           +----ComboBox
     |                           +----EventBox
     |                           +----Expander
     |                           +----HandleBox
     |                           +----ToolItem
     |                           +----ScrolledWindow
     |                           +----Viewport

Types
data Bin

Instances

GObjectClass Bin
BinClass Bin
ContainerClass Bin
WidgetClass Bin
ObjectClass Bin

class ContainerClass o => BinClass o

Instances

BinClass SeparatorToolItem
BinClass RadioToolButton
BinClass ToggleToolButton
BinClass MenuToolButton
BinClass ToolButton
BinClass ToolItem
BinClass ComboBoxEntry
BinClass ComboBox
BinClass Expander
BinClass Viewport
BinClass ScrolledWindow
BinClass HandleBox
BinClass EventBox
BinClass Plug
BinClass MessageDialog
BinClass InputDialog
BinClass FontSelectionDialog
BinClass FileChooserDialog
BinClass FileSelection
BinClass ColorSelectionDialog
BinClass AboutDialog
BinClass Dialog
BinClass Window
BinClass ListItem
BinClass SeparatorMenuItem
BinClass ImageMenuItem
BinClass TearoffMenuItem
BinClass RadioMenuItem
BinClass CheckMenuItem
BinClass MenuItem
BinClass Item
BinClass OptionMenu
BinClass FontButton
BinClass ColorButton
BinClass RadioButton
BinClass CheckButton
BinClass ToggleButton
BinClass Button
BinClass AspectFrame
BinClass Frame
BinClass Alignment
BinClass Bin
BinClass MozEmbed

castToBin :: GObjectClass obj => obj -> Bin
toBin :: BinClass o => o -> Bin
Methods
binGetChild

:: BinClass self |
=> self |
-> IO (Maybe Widget) | returns pointer to child of the `Bin`
Gets the child of the `Bin`, or `Nothing` if the bin contains no child widget.

Produced by Haddock version 2.4.2